> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# grok-4-fast-non-reasoning

> Creates a model response for the given chat conversation.



## OpenAPI

````yaml api-reference/model-api/xai/openapi/grok-4-fast-non-reasoning/openapi.yaml POST /v1/chat/completions
openapi: 3.1.0
info:
  title: Grok 4 Fast Non-Reasoning
  description: xAI Grok 4 Fast Non-Reasoning via Anyfast OpenAI-compatible API
  version: 1.0.0
servers:
  - url: https://www.anyfast.ai
security:
  - bearerAuth: []
paths:
  /v1/chat/completions:
    post:
      summary: Chat Completion
      description: Creates a model response for the given chat conversation.
      operationId: creategrok/4/fast/non/reasoning
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - messages
              properties:
                model:
                  type: string
                  enum:
                    - grok-4-fast-non-reasoning
                  description: Model ID
                  example: grok-4-fast-non-reasoning
                messages:
                  type: array
                  minItems: 1
                  description: A list of messages comprising the conversation so far.
                  items:
                    type: object
                    required:
                      - role
                      - content
                    properties:
                      role:
                        type: string
                        enum:
                          - system
                          - user
                          - assistant
                      content:
                        type: string
                  example:
                    - role: user
                      content: Hello!
                max_tokens:
                  type: integer
                  minimum: 1
                  description: The maximum number of tokens to generate.
                temperature:
                  type: number
                  minimum: 0
                  maximum: 2
                  default: 1
                  description: Sampling temperature.
                  example: 1
                top_p:
                  type: number
                  minimum: 0
                  maximum: 1
                  description: Nucleus sampling threshold.
                stream:
                  type: boolean
                  default: false
                  description: If true, stream partial message deltas using SSE.
      responses:
        '200':
          description: Completion generated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                    example: chat.completion
                  created:
                    type: integer
                  model:
                    type: string
                    example: grok-4-fast-non-reasoning
                  choices:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: integer
                        message:
                          type: object
                          properties:
                            role:
                              type: string
                              example: assistant
                            content:
                              type: string
                        finish_reason:
                          type: string
                          enum:
                            - stop
                            - length
                  usage:
                    type: object
                    properties:
                      prompt_tokens:
                        type: integer
                      completion_tokens:
                        type: integer
                      total_tokens:
                        type: integer
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````